Public Member Functions | Data Fields

# Edge Class Reference

An edge in the link graph. More...

`#include <linkgraph.h>`

## Public Member Functions
void | Init (uint distance=0, uint capacity=0)
| Create an edge.
## Data Fields
uint | distance
| Length of the link.
uint | capacity
| Capacity of the link.
uint | demand
| Transport demand between the nodes.
uint | unsatisfied_demand
| Demand over this edge that hasn't been satisfied yet.
uint | flow
| Planned flow over this edge.
NodeID | next_edge
| Destination of next valid edge starting at the same source node.

## Detailed Description

An edge in the link graph.

Corresponds to a link between two stations or at least the distance between them. Edges from one node to itself contain the ID of the opposite Node of the first active edge (i.e. not just distance) in the column as next_edge.

Definition at line 65 of file linkgraph.h.

## Member Function Documentation

void Edge::Init | ( | uint | distance = `0`,
|  | uint | capacity = `0` |
| ) |  |  | `[inline]`

Create an edge.

Parameters:

  | distance | Length of the link as manhattan distance.
  | capacity | Capacity of the link.

Definition at line 60 of file linkgraph.cpp.

References demand, flow, next_edge, and unsatisfied_demand.

The documentation for this class was generated from the following files:

- src/linkgraph/linkgraph.h
- src/linkgraph/linkgraph.cpp